# PluginManagementSpec

API Documentation: | `PluginManagementSpec`

Note: This class is incubating and may change in a future version of Gradle.

Configures how plugins are resolved.

### Properties

No properties

### Methods

Method | Description
`repositories(repositoriesAction)` | Incubating Defines the plugin repositories to use.
`resolutionStrategy(action)` | Incubating Configure the plugin resolution strategy.

### Script blocks

No script blocks

### Method details

#### `void` `repositories`(``Action`<? super `RepositoryHandler`>` repositoriesAction)

Note: This method is incubating and may change in a future version of Gradle.

Defines the plugin repositories to use.

#### `void` `resolutionStrategy`(``Action`<? super `PluginResolutionStrategy`>` action)

Note: This method is incubating and may change in a future version of Gradle.

Configure the plugin resolution strategy.